Skip to main content
GET
/
api
/
users
/
me
Get Current User Profile
curl --request GET \
  --url https://api.example.com/api/users/me \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "email_notifications": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "push_notifications": true,
  "theme": "<string>",
  "advanced_mode": false,
  "github_connected": false,
  "has_payment_method": false,
  "last_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "show_sidebar_project_icons": false,
  "totp_enabled": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

created_at
string<date-time>
required
email
string
required
email_notifications
boolean
required
id
string<uuid>
required
name
string
required
push_notifications
boolean
required
theme
string
required
advanced_mode
boolean
default:false
github_connected
boolean
default:false
has_payment_method
boolean
default:false
last_project_id
string<uuid> | null
show_sidebar_project_icons
boolean
default:false
totp_enabled
boolean
default:false